﻿.IC-DATE {
}

    .IC-DATE .ui-root-container {
        display: flex;
        align-items: center;
        justify-content: flex-start;
        position: relative;
    }

        .IC-DATE .ui-root-container .arrow-button {
            box-sizing: border-box;
            border-radius: 10px;
            border: solid 1px #717070;
            width: 28px;
            height: 24px;
            display: flex;
            align-items: center;
            justify-content: center;
            font-size: 12px;
            background-color: #e9e4e4;
            cursor: pointer;
            user-select: none;
        }

            .IC-DATE .ui-root-container .arrow-button.left {
                margin-right: 2px;
            }

            .IC-DATE .ui-root-container .arrow-button.right {
                margin-left: 2px;
            }

            .IC-DATE .ui-root-container .arrow-button:hover {
                background-color: #717070;
                color: #ffffff;
            }


        .IC-DATE .ui-root-container [data-additional-date-display-format] {
            color: #206fac;
            margin-left: 12px;
        }

        .IC-DATE .ui-root-container [data-default-value-configuration] {
            box-sizing: border-box;
            display: flex;
            align-items: center;
            justify-content: center;
            margin-left: 12px;
            user-select: none;
            border: solid 1px #717070;
            border-radius: 10px;
        }

            .IC-DATE .ui-root-container [data-default-value-configuration] .previous-next-button {
                box-sizing: border-box;
                width: 24px;
                height: 24px;
                display: flex;
                align-items: center;
                justify-content: center;
                font-size: 20px;
                font-weight: bold;
                background-color: #e9e4e4;
                cursor: pointer;
                user-select: none;
            }

                .IC-DATE .ui-root-container [data-default-value-configuration] .previous-next-button.previous {
                    border-radius: 10px 0 0 10px;
                    border-right: solid 1px #717070;
                }

                .IC-DATE .ui-root-container [data-default-value-configuration] .previous-next-button.next {
                    border-radius: 0 10px 10px 0;
                    border-left: solid 1px #717070;
                }

                .IC-DATE .ui-root-container [data-default-value-configuration] .previous-next-button:hover {
                    background-color: #717070;
                    color: #ffffff;
                }

            .IC-DATE .ui-root-container [data-default-value-configuration] .current-option {
                display: flex;
                align-items: center;
                justify-content: center;
                align-self: stretch;
                padding-left: 8px;
                padding-right: 8px;
                font-size: 14px;
                cursor: pointer;
            }

                .IC-DATE .ui-root-container [data-default-value-configuration] .current-option:hover {
                    background-color: #717070;
                    color: #ffffff;
                }
